Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.codec.imageio
Class ImageIOImageWriter

    java.lang.Object
      org.apache.batik.ext.awt.image.codec.imageio.ImageIOImageWriter

All Implemented Interfaces:
  EventListener, IIOWriteWarningListener, ImageWriter

Direct Known Subclasses:
  ImageIOJPEGImageWriter, ImageIOPNGImageWriter, ImageIOTIFFImageWriter

    public class ImageIOImageWriter

extends Object
implements ImageWriter, IIOWriteWarningListener

ImageWriter implementation that uses Image I/O to write images.

Constructor Summary
`ImageIOImageWriter(String mime)` Main constructor.

Method Summary
`protected static IIOMetadataNode` | `getChildNode(Node n, String name)` Returns a specific metadata child node
`protected ImageWriteParam` | `getDefaultWriteParam(ImageWriter iiowriter, RenderedImage image, ImageWriterParams params)` Returns the default write parameters for encoding the image.
`String` | `getMIMEType()`
`protected IIOMetadata` | `updateMetadata(IIOMetadata meta, ImageWriterParams params)` Updates the metadata information based on the parameters to this writer.
`void` | `warningOccurred(ImageWriter source, int imageIndex, String warning)`
`void` | `writeImage(RenderedImage image, OutputStream out)`
`void` | `writeImage(RenderedImage image, OutputStream out, ImageWriterParams params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageIOImageWriter

    public ImageIOImageWriter(String mime)

  Main constructor.

  Parameters:
    `mime` - the MIME type of the image format

Method Detail

### writeImage

    public void writeImage(RenderedImage image,
                           OutputStream out)
                    throws IOException

  Specified by:
    `writeImage` in interface `ImageWriter`
  Throws:
    `IOException`
  See Also:
    `ImageWriter.writeImage(java.awt.image.RenderedImage, java.io.OutputStream)`

### writeImage

    public void writeImage(RenderedImage image,
                           OutputStream out,
                           ImageWriterParams params)
                    throws IOException

  Specified by:
    `writeImage` in interface `ImageWriter`
  Throws:
    `IOException`
  See Also:
    `ImageWriter.writeImage(java.awt.image.RenderedImage, java.io.OutputStream, ImageWriterParams)`

### getDefaultWriteParam

    protected ImageWriteParam getDefaultWriteParam(ImageWriter iiowriter,
                                                   RenderedImage image,
                                                   ImageWriterParams params)

  Returns the default write parameters for encoding the image.

  Parameters:
    `iiowriter` - The IIO ImageWriter that will be used
    `image` - the image to be encoded
    `params` - the parameters for this writer instance
  Returns:
    the IIO ImageWriteParam instance

### updateMetadata

    protected IIOMetadata updateMetadata(IIOMetadata meta,
                                         ImageWriterParams params)

  Updates the metadata information based on the parameters to this writer.

  Parameters:
    `meta` - the metadata
    `params` - the parameters
  Returns:
    the updated metadata

### getChildNode

    protected static IIOMetadataNode getChildNode(Node n,
                                                  String name)

  Returns a specific metadata child node

  Parameters:
    `n` - the base node
    `name` - the name of the child
  Returns:
    the requested child node

### getMIMEType

    public String getMIMEType()

  Specified by:
    `getMIMEType` in interface `ImageWriter`
  See Also:
    `ImageWriter.getMIMEType()`

### warningOccurred

    public void warningOccurred(ImageWriter source,
                                int imageIndex,
                                String warning)

  Specified by:
    `warningOccurred` in interface `IIOWriteWarningListener`
  See Also:
    `IIOWriteWarningListener.warningOccurred(javax.imageio.ImageWriter, int, java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.